#!/bin/sh -
# $Date: 2007/01/05 02:05:45 $ $Revision: 1.1.1.1 $
#   devconf -> analysis -> prognosis -> diag -> parts -> statuschk 
#

#modules="analysis prognosis diag parts statuschk"
modules="analysis prognosis diag parts statuschk"
tmp1=$HRM_temp/_config1_
tmp2=$HRM_temp/_config2_

$HRM_bin/devconf config  >$tmp1
if [ $? != 0 ]; then exit 1 ; fi

for mod in $modules
do
  if [ -x $HRM_bin/$mod ]
  then
	$HRM_bin/$mod config  <$tmp1 >$tmp2
	if [ $? = 0 -a -s $tmp2 ]
	then
		mv $tmp2 $tmp1
	else
		$HRM_bin/hrmevent "W0120:<<$mod>> config failed."
	fi
  fi
done
/bin/cat $tmp1

rm -f $tmp1 $tmp2
exit 0

