#!/bin/sh 
# HRM/server for PRIMEQUEST(Linux) version 3.2.0
# Emergency stop script
# $Date: 2008/03/04 05:44:41 $ $Revision: 1.5 $

cmd="\
/opt/FJSVhrm/bin/RpmGenerator \
/opt/FJSVhrm/bin/XMLCoordinator \
/opt/FJSVhrm/bin/allmodcall.sh \
/opt/FJSVhrm/bin/analysis \
/opt/FJSVhrm/bin/analyzer \
/opt/FJSVhrm/bin/anaremovmb \
/opt/FJSVhrm/bin/calcprogress \
/opt/FJSVhrm/bin/collector \
/opt/FJSVhrm/bin/confchg.sh \
/opt/FJSVhrm/bin/config.sh \
/opt/FJSVhrm/bin/cputest \
/opt/FJSVhrm/bin/devconf \
/opt/FJSVhrm/bin/devconf_update \
/opt/FJSVhrm/bin/devconf_update_all \
/opt/FJSVhrm/bin/devmerge \
/opt/FJSVhrm/bin/diag \
/opt/FJSVhrm/bin/diagcntl \
/opt/FJSVhrm/bin/diagconfig \
/opt/FJSVhrm/bin/diagentry \
/opt/FJSVhrm/bin/errormb \
/opt/FJSVhrm/bin/errorsnmp \
/opt/FJSVhrm/bin/extract_statlist \
/opt/FJSVhrm/bin/extrep \
/opt/FJSVhrm/bin/get \
/opt/FJSVhrm/bin/hddtest \
/opt/FJSVhrm/bin/hello.sh \
/opt/FJSVhrm/bin/hrmcommand \
/opt/FJSVhrm/bin/hrmdate \
/opt/FJSVhrm/bin/hrmenv \
/opt/FJSVhrm/bin/hrmevent \
/opt/FJSVhrm/bin/hrmremote \
/opt/FJSVhrm/bin/hrmsched \
/opt/FJSVhrm/bin/hrmsdbmsg \
/opt/FJSVhrm/bin/hrmsnap.sh \
/opt/FJSVhrm/bin/hrmsnap_main.sh \
/opt/FJSVhrm/bin/hrmstart \
/opt/FJSVhrm/bin/hrmstop \
/opt/FJSVhrm/bin/logdel \
/opt/FJSVhrm/bin/logdisp \
/opt/FJSVhrm/bin/logdsppat \
/opt/FJSVhrm/bin/logget \
/opt/FJSVhrm/bin/logshow2 \
/opt/FJSVhrm/bin/logshowsdb \
/opt/FJSVhrm/bin/logsnap \
/opt/FJSVhrm/bin/memtest \
/opt/FJSVhrm/bin/parts \
/opt/FJSVhrm/bin/parts.aout \
/opt/FJSVhrm/bin/patrol \
/opt/FJSVhrm/bin/patrol.exe \
/opt/FJSVhrm/bin/prognomb \
/opt/FJSVhrm/bin/prognosis \
/opt/FJSVhrm/bin/setup.sh \
/opt/FJSVhrm/bin/setup_e.sh \
/opt/FJSVhrm/bin/snap.aout \
/opt/FJSVhrm/bin/snap.sh \
/opt/FJSVhrm/bin/statdatamb \
/opt/FJSVhrm/bin/statuschk \
/opt/FJSVhrm/bin/sys_check.sh \
/opt/FJSVhrm/bin/sysinfo_collector \
/opt/FJSVhrm/bin/uuencode \
/opt/FJSVhrm/bin/version.sh \
/opt/FJSVhrm/bin/padiag \
/opt/FJSVhrm/bin/logdsppat2 \
/opt/FJSVhrm/bin/sdb \
/opt/FJSVhrm/bin/sdb_resource \
"

# These are not targeted now. 2007/01/16
#/opt/FJSVhrm/bin/hrmemerge.sh
#/opt/FJSVhrm/bin/setup.en_US
#/opt/FJSVhrm/bin/setup.ja_JP.UTF-8
#/opt/FJSVhrm/bin/setup.ja_JP.eucJP
#/opt/FJSVhrm/bin/setup_func

USERID=`id | sed -e 's/uid=//' -e 's/(.*//'`
if [ $USERID -ne 0 ] ; then  # ok
	echo "please change super user"
	exit 1
fi

for loop in 1 2 3    # max 3 times
do
  flag=0
  for p in $cmd
  do
#	pid=`/bin/ps -eo pid,comm | grep -v grep | grep $p | awk '{print $1}'`
	pid=`/bin/ps auxw | grep -v grep | grep $p | awk '{ print $2; }'`
	if [ "$pid" != "" ]
	then
		echo "killing $p"
		kill -9 $pid
		flag=1
	fi
  done

  if [ $flag = 0 ]; then break; fi
done

